Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2018253002: Change TextRun's length() and charactersLength() to return an unsigned (Closed)

Created:
4 years, 8 months ago by pdr.
Modified:
4 years, 8 months ago
Reviewers:
drott, eae
CC:
ajuma+watch_chromium.org, blink-reviews, blink-reviews-layout_chromium.org, blink-reviews-paint_chromium.org, blink-reviews-platform-graphics_chromium.org, Rik, chromium-reviews, danakj+watch_chromium.org, dshwang, drott+blinkwatch_chromium.org, krit, eae+blinkwatch, f(malita), fs, gyuyoung2, jbroman, jchaffraix+rendering, Justin Novosad, kouhei+svg_chromium.org, leviw+renderwatch, pdr+graphicswatchlist_chromium.org, pdr+renderingwatchlist_chromium.org, pdr+svgwatchlist_chromium.org, rwlbuis, Stephen Chennney, slimming-paint-reviews_chromium.org, szager+layoutwatch_chromium.org, zoltan1
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Change TextRun's length() and charactersLength() to return an unsigned TextRun's m_len and m_charactersLength are unsigned but the accessors for these values return ints. The values for length and charactersLength cannot be negative so returning an integer just adds unnecessary casts and potentially dangerous code. Committed: https://crrev.com/24873c03c01a5e4fb30b2b32988f1f63e8ce1855 Cr-Commit-Position: refs/heads/master@{#396776}

Patch Set 1 #

Patch Set 2 : Rebase and remove one static_cast added in r396668 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+17 lines, -17 lines) Patch
M third_party/WebKit/Source/core/layout/svg/LayoutSVGInlineText.cpp View 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/paint/TextPainter.h View 2 chunks +3 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/paint/TextPainter.cpp View 3 chunks +3 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/platform/fonts/Font.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/fonts/shaping/ShapeCache.h View 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/fonts/shaping/ShapeResultBuffer.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/fonts/shaping/SimpleShaper.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/text/TextRun.h View 1 2 chunks +4 lines, -4 lines 0 comments Download

Messages

Total messages: 15 (6 generated)
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2018253002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2018253002/1
4 years, 8 months ago (2016-05-28 05:29:45 UTC) #3
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
4 years, 8 months ago (2016-05-28 07:03:30 UTC) #5
pdr.
4 years, 8 months ago (2016-05-29 23:50:15 UTC) #6
drott
Thank you! LGTM.
4 years, 8 months ago (2016-05-30 07:51:21 UTC) #7
pdr.
Thanks drott. For posterity, the latest patchset is a rebase and also removes a trivial ...
4 years, 8 months ago (2016-05-31 02:01:02 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2018253002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2018253002/20001
4 years, 8 months ago (2016-05-31 02:01:18 UTC) #11
commit-bot: I haz the power
Committed patchset #2 (id:20001)
4 years, 8 months ago (2016-05-31 03:28:22 UTC) #12
commit-bot: I haz the power
Patchset 2 (id:??) landed as https://crrev.com/24873c03c01a5e4fb30b2b32988f1f63e8ce1855 Cr-Commit-Position: refs/heads/master@{#396776}
4 years, 8 months ago (2016-05-31 03:30:12 UTC) #14
eae
4 years, 8 months ago (2016-05-31 17:49:09 UTC) #15
Message was sent while issue was closed.
LGTM

Powered by Google App Engine
This is Rietveld 408576698